# Uses of Class
org.opensaml.saml.common.messaging.context.AbstractSAMLEntityContext

Packages that use AbstractSAMLEntityContext
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.
org.opensaml.saml.common.messaging.context.navigate
Functions to navigate SAML message contexts.

## Uses of AbstractSAMLEntityContext in org.opensaml.saml.common.binding.impl

Fields in org.opensaml.saml.common.binding.impl with type parameters of type AbstractSAMLEntityContext
Modifier and Type
Field
Description
`private Class<? extends AbstractSAMLEntityContext>`
SAMLMetadataLookupHandler.`entityContextClass`
The context class representing the SAML entity whose data is to be resolved.
`private Class<? extends AbstractSAMLEntityContext>`
SAMLProtocolAndRoleHandler.`entityContextClass`
The context class representing the SAML entity for whom data is to be attached.
Method parameters in org.opensaml.saml.common.binding.impl with type arguments of type AbstractSAMLEntityContext
Modifier and Type
Method
Description
`void`
SAMLMetadataLookupHandler.`setEntityContextClass(Class<? extends AbstractSAMLEntityContext> clazz)`
Set the class type holding the SAML entity data.
`void`
SAMLProtocolAndRoleHandler.`setEntityContextClass(Class<? extends AbstractSAMLEntityContext> clazz)`
Set the class type holding the SAML entity data.

## Uses of AbstractSAMLEntityContext in org.opensaml.saml.common.messaging.context

Subclasses of AbstractSAMLEntityContext in org.opensaml.saml.common.messaging.context
Modifier and Type
Class
Description
`class`
`AbstractAuthenticatableSAMLEntityContext`
Abstract base class for subcontexts that carry information about a SAML entity which may be authenticated.
`final class`
`SAMLPeerEntityContext`
Subcontext that carries information about a SAML peer entity.
`final class`
`SAMLPresenterEntityContext`
Deprecated, for removal: This API element is subject to removal in a future version.
`final class`
`SAMLSelfEntityContext`
Subcontext that carries information about the SAML "self" entity.

## Uses of AbstractSAMLEntityContext in org.opensaml.saml.common.messaging.context.navigate

Methods in org.opensaml.saml.common.messaging.context.navigate with parameters of type AbstractSAMLEntityContext
Modifier and Type
Method
Description
`String`
SAMLEntityIDFunction.`apply(AbstractSAMLEntityContext samlEntityContext)`